"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.advRouter = void 0;
const express_1 = require("express");
const adv_record_1 = require("../records/adv.record");
exports.advRouter = (0, express_1.Router)()
    .get("/search/:name?", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    var _a;
    const adv = yield adv_record_1.AdvRecord.findAll((_a = req.params.name) !== null && _a !== void 0 ? _a : "");
    res.json(adv);
}))
    .get("/:id", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const adv = yield adv_record_1.AdvRecord.getOne(req.params.id);
    res.json(adv);
}))
    .post("/", (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const adv = new adv_record_1.AdvRecord(req.body);
    yield adv.insert();
    res.json(adv);
}));
//# sourceMappingURL=adv.router.js.map