export interface NewAdvEntity extends Omit<AdvEntity, "id"> {
  id?: string;
}

export interface SimpleAdvEntity {
  id?: string;
  lat: number;
  lon: number;
}

export interface AdvEntity extends SimpleAdvEntity {
  name: string;
  description: string;
  price: number;
  url: string;
}
